﻿using System;
using System.Collections;
using System.Collections.Generic;
namespace SolarSystemRetemplate
{
	public class Planet
	{
		private static List<Planet> m_planets;
		public IEnumerable<Planet> ViewModelInstance
		{
			get { return Planets; }
		}
		public static IList<Planet> Planets
		{
			get
			{
				if (m_planets == null)
				{
					List<Planet> planets = new List<Planet>(10);
					planets.Add(new Planet()
					{
						Name = "Mercury",
						Radius = 2439,
						Orbit = .4,
						ImageUri = new Uri("/Images/Mercury.png", UriKind.Relative)
					});
					planets.Add(new Planet()
					{
						Name = "Venus",
						Radius = 6052,
						Orbit = .725,
						ImageUri = new Uri("/Images/Venus.png", UriKind.Relative)
					});
					planets.Add(new Planet()
					{
						Name = "Earth",
						Radius = 6371,
						Orbit = 1,
						ImageUri = new Uri("/Images/Earth.png", UriKind.Relative)
					});
					planets.Add(new Planet()
					{
						Name = "Mars",
						Radius = 3385,
						Orbit = 1.5,
						ImageUri = new Uri("/Images/Mars.png", UriKind.Relative)
					});
					planets.Add(new Planet()
					{
						Name = "Jupiter",
						Radius = 69911,
						Orbit = 5.4,
						ImageUri = new Uri("/Images/Jupiter.png", UriKind.Relative)
					});
					planets.Add(new Planet()
					{
						Name = "Saturn",
						Radius = 60298,
						Orbit = 9.5,
						ImageUri = new Uri("/Images/Saturn.png", UriKind.Relative)
					});
					planets.Add(new Planet()
					{
						Name = "Uranus",
						Radius = 25559,
						Orbit = 19.6,
						ImageUri = new Uri("/Images/Uranus.png", UriKind.Relative)
					}); 
					planets.Add(new Planet()
					{
						Name = "Neptune",
						Radius = 24764,
						Orbit = 30,
						ImageUri = new Uri("/Images/Neptune.png", UriKind.Relative)
					});
					m_planets = planets;
				}
				return m_planets;
			}
		}

		public string Name { get; set; }
		public double Radius { get; set; }
		public double Orbit { get; set; }
		public Uri ImageUri { get; set; }
	}
}